<?php

function fn_contains_aa($aql)
{	
	$list = $aql->Consume(2);

	$res = "0";
	
	foreach($list[0]->value as $a)
	{
		if (in_array($a,$list[1]->value))
		{
			$res = "1";
			break;
		}
	}
	
	$a = new AQLStackElement();
	$a->typename = "const";
	$a->islist = true;
	$a->value = "".$res;
	array_push($aql->stack,$a);	
}

?>